> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anchorbrowser.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Identity Email

> Returns the full content of a specific email in the identity's mailbox.



## OpenAPI

````yaml /openapi.yaml get /v1/identities/{identityId}/email/emails/{emailId}
openapi: 3.1.0
info:
  title: AnchorBrowser API
  version: 1.0.0
  description: APIs to manage all browser-related actions and configuration.
servers:
  - url: https://api.anchorbrowser.io
    description: API server
security: []
paths:
  /v1/identities/{identityId}/email/emails/{emailId}:
    get:
      tags:
        - Identities
      summary: Get Identity Email
      description: Returns the full content of a specific email in the identity's mailbox.
      parameters:
        - name: identityId
          in: path
          required: true
          schema:
            type: string
        - name: emailId
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Email retrieved successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Email'
        '404':
          description: Email not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FlatErrorResponse'
        '500':
          description: Failed to get email.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FlatErrorResponse'
      security:
        - api_key_header: []
components:
  schemas:
    Email:
      type: object
      properties:
        id:
          type: string
          format: uuid
        from:
          type: string
        subject:
          type: string
        body_text:
          type: string
          nullable: true
        body_html:
          type: string
          nullable: true
        message_id:
          type: string
          nullable: true
        received_at:
          type: string
    FlatErrorResponse:
      type: object
      properties:
        error:
          type: string
          description: Human-readable error message.
        code:
          type: integer
          description: HTTP status code.
      required:
        - error
  securitySchemes:
    api_key_header:
      type: apiKey
      in: header
      name: anchor-api-key
      description: API key passed in the header

````